Package org.apache.cayenne.graph

# Class ArcCreateOperation

java.lang.Object
org.apache.cayenne.graph.NodeDiff
org.apache.cayenne.graph.ArcCreateOperation

All Implemented Interfaces:
  `Serializable`, `Comparable<NodeDiff>`, `GraphDiff`

public class ArcCreateOperation extends NodeDiff

Since:
  1.2
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ArcId`
  `arcId`
  `protected Object`
  `targetNodeId`

  ### Fields inherited from class org.apache.cayenne.graph.NodeDiff

  `diffId, nodeId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArcCreateOperation(Object nodeId, Object targetNodeId, ArcId arcId)`
  `ArcCreateOperation(Object nodeId, Object targetNodeId, ArcId arcId, int diffId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(GraphChangeHandler tracker)`
  Calls appropriate methods on the handler to "replay" this change.
  `Object`
  `getArcId()`
  `Object`
  `getTargetNodeId()`
  `void`
  `undo(GraphChangeHandler tracker)`
  Calls appropriate methods on the handler to revert this change.

  ### Methods inherited from class org.apache.cayenne.graph.NodeDiff

  `compareTo, getDiffId, getNodeId, isNoop, setDiffId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### targetNodeId

    protected Object targetNodeId

  - ### arcId

    protected ArcId arcId

- ## Constructor Details

  - ### ArcCreateOperation

    public ArcCreateOperation(Object nodeId, Object targetNodeId, ArcId arcId)

  - ### ArcCreateOperation

    public ArcCreateOperation(Object nodeId, Object targetNodeId, ArcId arcId, int diffId)

- ## Method Details

  - ### apply

    public void apply(GraphChangeHandler tracker)
    Description copied from interface: `GraphDiff`
    Calls appropriate methods on the handler to "replay" this change.
    Specified by:
      `apply` in interface `GraphDiff`
    Specified by:
      `apply` in class `NodeDiff`

  - ### undo

    public void undo(GraphChangeHandler tracker)
    Description copied from interface: `GraphDiff`
    Calls appropriate methods on the handler to revert this change.
    Specified by:
      `undo` in interface `GraphDiff`
    Specified by:
      `undo` in class `NodeDiff`

  - ### getArcId

    public Object getArcId()

  - ### getTargetNodeId

    public Object getTargetNodeId()